Get attestations eligibility
Check whether a bank account is currently eligible for a new authorization attestation without submitting one.
enabledindicates whether the calling account has access to the attestations feature. Ifenabledisfalse,eligibleis alwaysfalse.- When
enabledistrue,eligibleindicates whether the bank account currently meets the eligibility requirements for a new attestation: the bank account must beerroreddue to an R29 return, with no prior attestations.
This endpoint always returns 200, including when the bank account is not eligible. Check the eligible field to determine eligibility.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/bank-accounts.read scope.
GET
/accounts/{accountID}/bank-accounts/{bankAccountID}/attestations-eligibility
curl -X GET "https://api.moov.io/accounts/{accountID}/bank-accounts/{bankAccountID}/attestations-eligibility" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.10.00"import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.bankAccounts.getAttestationEligibility({
accountID: "<id>",
bankAccountID: "<id>",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->bankAccounts->getAttestationEligibility(
accountID: '<id>',
bankAccountID: '<id>'
);
if ($response->bankAccountAttestationEligibility !== null) {
// handle response
}package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.operations.GetBankAccountAttestationEligibilityResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws GenericError, Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
GetBankAccountAttestationEligibilityResponse res = sdk.bankAccounts().getAttestationEligibility()
.accountID("<id>")
.bankAccountID("<id>")
.call();
if (res.bankAccountAttestationEligibility().isPresent()) {
System.out.println(res.bankAccountAttestationEligibility().get());
}
}
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.bank_accounts.get_attestation_eligibility(account_id="<id>", bank_account_id="<id>")
# Handle response
print(res)require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.bank_accounts.get_attestation_eligibility(account_id: '<id>', bank_account_id: '<id>')
unless res.bank_account_attestation_eligibility.nil?
# handle response
endusing Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.BankAccounts.GetAttestationEligibilityAsync(
accountID: "<id>",
bankAccountID: "<id>"
);
// handle responseThe request completed successfully.
Whether a bank account is currently eligible to receive a new attestation.
{
"enabled": true,
"eligible": true
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Set this header to v2026.10.00 to use the API described in this specification.
When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here.
An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists.
For example,
v2026.08.00 uses v2026.07.00.
A malformed value, such as 2022, returns a 404 response.
Possible values:
v2026.10.00
Path parameters
accountID
string
required
bankAccountID
string
required
Query parameters
attestedAt
string
<date>
Date to check eligibility against, as if it were the
attestedAt value of a new attestation. Defaults
to the current date.
Response
eligible
boolean
required
Whether the bank account currently meets the requirements to receive a new attestation.
enabled
boolean
required
Whether the calling account is allowlisted for the attestations feature. When
false, eligible is always false.